Package org.pentaho.reporting.libraries.formula.function

## Class DefaultFunctionRegistry

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.function.DefaultFunctionRegistry

- All Implemented Interfaces:
    `FunctionRegistry`

      public class DefaultFunctionRegistry
      extends java.lang.Object
      implements FunctionRegistry

  Creation-Date: 02.11.2006, 12:48:32
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultFunctionRegistry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Function` | `createFunction​(java.lang.String name)` |
    `FunctionCategory[]` | `getCategories()` |
    `java.lang.String[]` | `getFunctionNames()` |
    `java.lang.String[]` | `getFunctionNamesByCategory​(FunctionCategory category)` |
    `Function[]` | `getFunctions()` |
    `Function[]` | `getFunctionsByCategory​(FunctionCategory category)` |
    `FunctionDescription` | `getMetaData​(java.lang.String name)` |
    `void` | `initialize​(Configuration configuration)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultFunctionRegistry

          public DefaultFunctionRegistry()

  - ### Method Detail

    - #### getCategories

          public FunctionCategory[] getCategories()

      Specified by:
        `getCategories` in interface `FunctionRegistry`

    - #### getFunctions

          public Function[] getFunctions()

      Specified by:
        `getFunctions` in interface `FunctionRegistry`

    - #### getFunctionNames

          public java.lang.String[] getFunctionNames()

      Specified by:
        `getFunctionNames` in interface `FunctionRegistry`

    - #### getFunctionNamesByCategory

          public java.lang.String[] getFunctionNamesByCategory​(FunctionCategory category)

      Specified by:
        `getFunctionNamesByCategory` in interface `FunctionRegistry`

    - #### getFunctionsByCategory

          public Function[] getFunctionsByCategory​(FunctionCategory category)

      Specified by:
        `getFunctionsByCategory` in interface `FunctionRegistry`

    - #### createFunction

          public Function createFunction​(java.lang.String name)

      Specified by:
        `createFunction` in interface `FunctionRegistry`

    - #### getMetaData

          public FunctionDescription getMetaData​(java.lang.String name)

      Specified by:
        `getMetaData` in interface `FunctionRegistry`

    - #### initialize

          public void initialize​(Configuration configuration)